Subject: Re: linux-next: manual merge of the drm tree with Linus' tree

From: Jani Nikula <[email-masked]>
Date: Fri, 24 Aug 2012 10:13:07 +0300

On Fri, 24 Aug 2012, Stephen Rothwell <[email-masked]> wrote:
> Hi Dave,
>
> Today's linux-next merge of the drm tree got a conflict in
> drivers/gpu/drm/i915/intel_modes.c between commit 4eab81366465
> ("drm/i915: extract connector update from intel_ddc_get_modes() for
> reuse") from Linus' tree and commit 451023dc32d4 ("drm: remove the
> raw_edid field from struct drm_display_info") from the drm tree.

Ugh, both from me, sorry about that. Wasn't sure when or in what order
they'd go in.

> I fixed it up (see below) and can carry the fix as necessary.

I'm not quite sure what the patch below is against, but just removing
the reference to raw_edid from a slightly different place is the way to
go. Like you seem to do, so:

Acked-by: Jani Nikula <[email-masked]>

I can also provide a patch against drm-next if needed.

BR,
Jani.

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
>
> diff --cc drivers/gpu/drm/i915/intel_modes.c
> index 29b7259,7a5238f..0000000
> --- a/drivers/gpu/drm/i915/intel_modes.c
> +++ b/drivers/gpu/drm/i915/intel_modes.c
> @@@ -33,25 -33,6 +33,24 @@@
>   #include "i915_drv.h"
>   
>   /**
>  + * intel_connector_update_modes - update connector from edid
>  + * @connector: DRM connector device to use
>  + * @edid: previously read EDID information
>  + */
>  +int intel_connector_update_modes(struct drm_connector *connector,
>  +				struct edid *edid)
>  +{
>  +	int ret;
>  +
>  +	drm_mode_connector_update_edid_property(connector, edid);
>  +	ret = drm_add_edid_modes(connector, edid);
>  +	drm_edid_to_eld(connector, edid);
> - 	connector->display_info.raw_edid = NULL;
>  +	kfree(edid);
>  +
>  +	return ret;
>  +}
>  +
>  +/**
>    * intel_ddc_get_modes - get modelist from monitor
>    * @connector: DRM connector device to use
>    * @adapter: i2c adapter